libzypp: zypp::StringPool Class Reference

libzypp 17.38.6

zypp::StringPool Class Reference

Singleton manager for the underlying libsolv string pool. More...

`#include <zypp/ng/sat/stringpool.h>`

## Public Member Functions
| ~StringPool ()
| Destructor.
detail::CPool * | operator-> ()
| Pointer style access forwarded to the raw sat-pool.
detail::CPool * | getPool () const
| Explicit accessor for the raw sat-pool.
detail::IdType | parserpmrichdep (const char *capstr_r)
| libsolv capability parser
| StringPool (const StringPool &)=delete
| StringPool (StringPool &&)=delete
StringPool & | operator= (const StringPool &)=delete
StringPool & | operator= (StringPool &&)=delete

## Static Public Member Functions
static StringPool & | instance ()
| Access the global StringPool instance.

## Private Member Functions
| StringPool ()

## Private Attributes
detail::CPool * | _pool
| Internal pointer to the libsolv pool structure (CPool).

## Detailed Description

Singleton manager for the underlying libsolv string pool.

This class provides a centralized, low-level wrapper around the CPool structure. It acts as the "Source of Truth" for string resolution in the zypp architecture, ensuring that ID-to-string mappings remain consistent.

Note
  This class is strictly non-copyable and non-movable to ensure the integrity of the underlying libsolv state.
  currently this class creates the one single pool libzypp currently supports until libsolv supports sharing the same stringpool for different pool instances. Do not depend on this pool being also the pool for solving!

Definition at line 35 of file stringpool.h.

## Constructor & Destructor Documentation

## ◆ ~StringPool()

zyppng::sat::StringPool::~StringPool | ( |  | ) |

Destructor.

Handles the safe cleanup of the underlying CPool resources.

Definition at line 24 of file stringpool.cc.

## ◆ StringPool() [1/3]

zyppng::sat::StringPool::StringPool | ( | const StringPool & |  | ) |
| delete

## ◆ StringPool() [2/3]

zyppng::sat::StringPool::StringPool | ( | StringPool && |  | ) |
| delete

## ◆ StringPool() [3/3]

zyppng::sat::StringPool::StringPool | ( |  | ) |
| private

Definition at line 29 of file stringpool.cc.

## Member Function Documentation

## ◆ instance()

StringPool & zyppng::sat::StringPool::instance | ( |  | ) |
| static

Access the global StringPool instance.

Definition at line 18 of file stringpool.cc.

## ◆ operator->()

detail::CPool * zyppng::sat::StringPool::operator-> | ( |  | ) |
| inline

Pointer style access forwarded to the raw sat-pool.

Returns
  A pointer to the underlying CPool.

Definition at line 53 of file stringpool.h.

## ◆ getPool()

detail::CPool * zyppng::sat::StringPool::getPool | ( |  | ) | const
| inline

Explicit accessor for the raw sat-pool.

Returns
  A pointer to the underlying CPool.

Definition at line 60 of file stringpool.h.

## ◆ parserpmrichdep()

detail::IdType zyppng::sat::StringPool::parserpmrichdep | ( | const char * | capstr_r | ) |
| inline

libsolv capability parser

Definition at line 64 of file stringpool.h.

## ◆ operator=() [1/2]

StringPool & zyppng::sat::StringPool::operator= | ( | const StringPool & |  | ) |
| delete

## ◆ operator=() [2/2]

StringPool & zyppng::sat::StringPool::operator= | ( | StringPool && |  | ) |
| delete

## Member Data Documentation

## ◆ _pool

detail::CPool* zyppng::sat::StringPool::_pool
| private

Internal pointer to the libsolv pool structure (CPool).

Definition at line 79 of file stringpool.h.

The documentation for this class was generated from the following files:

- zypp/ng/sat/stringpool.h
- zypp/ng/sat/stringpool.cc